diff -Naur autoconf-archive-2010.07.06.orig//m4/ax_boost_iostreams.m4 autoconf-archive-2010.07.06//m4/ax_boost_iostreams.m4
--- autoconf-archive-2010.07.06.orig//m4/ax_boost_iostreams.m4	2010-07-06 07:00:00.000000000 +0900
+++ autoconf-archive-2010.07.06//m4/ax_boost_iostreams.m4	2010-07-16 13:26:54.000000000 +0900
@@ -79,7 +79,7 @@
 			AC_DEFINE(HAVE_BOOST_IOSTREAMS,,[define if the Boost::IOStreams library is available])
             BOOSTLIBDIR=`echo $BOOST_LDFLAGS | sed -e 's/@<:@^\/@:>@*//'`
             if test "x$ax_boost_user_iostreams_lib" = "x"; then
-                for libextension in `ls $BOOSTLIBDIR/libboost_iostreams*.{so,a}* 2>/dev/null | sed 's,.*/,,' | sed -e 's;^lib\(boost_iostreams.*\)\.so.*$;\1;' -e 's;^lib\(boost_iostreams.*\)\.a*$;\1;'` ; do
+                for libextension in `ls $BOOSTLIBDIR/libboost_iostreams*.so* $BOOSTLIBDIR/libboost_iostreams*.a* 2>/dev/null | sed 's,.*/,,' | sed -e 's;^lib\(boost_iostreams.*\)\.so.*$;\1;' -e 's;^lib\(boost_iostreams.*\)\.a*$;\1;'` ; do
                      ax_lib=${libextension}
 				    AC_CHECK_LIB($ax_lib, exit,
                                  [BOOST_IOSTREAMS_LIB="-l$ax_lib"; AC_SUBST(BOOST_IOSTREAMS_LIB) link_iostreams="yes"; break],
diff -Naur autoconf-archive-2010.07.06.orig//m4/ax_boost_regex.m4 autoconf-archive-2010.07.06//m4/ax_boost_regex.m4
--- autoconf-archive-2010.07.06.orig//m4/ax_boost_regex.m4	2010-07-06 07:00:00.000000000 +0900
+++ autoconf-archive-2010.07.06//m4/ax_boost_regex.m4	2010-07-16 13:27:22.000000000 +0900
@@ -75,7 +75,7 @@
 			AC_DEFINE(HAVE_BOOST_REGEX,,[define if the Boost::Regex library is available])
             BOOSTLIBDIR=`echo $BOOST_LDFLAGS | sed -e 's/@<:@^\/@:>@*//'`
             if test "x$ax_boost_user_regex_lib" = "x"; then
-                for libextension in `ls $BOOSTLIBDIR/libboost_regex*.{so,a}* 2>/dev/null | sed 's,.*/,,' | sed -e 's;^lib\(boost_regex.*\)\.so.*$;\1;' -e 's;^lib\(boost_regex.*\)\.a*$;\1;'` ; do
+                for libextension in `ls $BOOSTLIBDIR/libboost_regex*.so* $BOOSTLIBDIR/libboost_regex*.a* 2>/dev/null | sed 's,.*/,,' | sed -e 's;^lib\(boost_regex.*\)\.so.*$;\1;' -e 's;^lib\(boost_regex.*\)\.a*$;\1;'` ; do
                      ax_lib=${libextension}
 				    AC_CHECK_LIB($ax_lib, exit,
                                  [BOOST_REGEX_LIB="-l$ax_lib"; AC_SUBST(BOOST_REGEX_LIB) link_regex="yes"; break],
diff -Naur autoconf-archive-2010.07.06.orig//m4/ax_boost_serialization.m4 autoconf-archive-2010.07.06//m4/ax_boost_serialization.m4
--- autoconf-archive-2010.07.06.orig//m4/ax_boost_serialization.m4	2010-07-06 07:00:00.000000000 +0900
+++ autoconf-archive-2010.07.06//m4/ax_boost_serialization.m4	2010-07-16 13:27:50.000000000 +0900
@@ -80,7 +80,7 @@
 			AC_DEFINE(HAVE_BOOST_SERIALIZATION,,[define if the Boost::Serialization library is available])
             BOOSTLIBDIR=`echo $BOOST_LDFLAGS | sed -e 's/@<:@^\/@:>@*//'`
             if test "x$ax_boost_user_serialization_lib" = "x"; then
-                for libextension in `ls $BOOSTLIBDIR/libboost_serialization*.{so,a}* 2>/dev/null | sed 's,.*/,,' | sed -e 's;^lib\(boost_serialization.*\)\.so.*$;\1;' -e 's;^lib\(boost_serialization.*\)\.a*$;\1;'` ; do
+                for libextension in `ls $BOOSTLIBDIR/libboost_serialization*.so* $BOOSTLIBDIR/libboost_serialization*.a* 2>/dev/null | sed 's,.*/,,' | sed -e 's;^lib\(boost_serialization.*\)\.so.*$;\1;' -e 's;^lib\(boost_serialization.*\)\.a*$;\1;'` ; do
                      ax_lib=${libextension}
 				    AC_CHECK_LIB($ax_lib, exit,
                                  [BOOST_SERIALIZATION_LIB="-l$ax_lib"; AC_SUBST(BOOST_SERIALIZATION_LIB) link_serialization="yes"; break],
diff -Naur autoconf-archive-2010.07.06.orig//m4/ax_boost_signals.m4 autoconf-archive-2010.07.06//m4/ax_boost_signals.m4
--- autoconf-archive-2010.07.06.orig//m4/ax_boost_signals.m4	2010-07-06 07:00:00.000000000 +0900
+++ autoconf-archive-2010.07.06//m4/ax_boost_signals.m4	2010-07-16 13:28:29.000000000 +0900
@@ -77,7 +77,7 @@
 			AC_DEFINE(HAVE_BOOST_SIGNALS,,[define if the Boost::Signals library is available])
             BOOSTLIBDIR=`echo $BOOST_LDFLAGS | sed -e 's/@<:@^\/@:>@*//'`
             if test "x$ax_boost_user_signals_lib" = "x"; then
-                for libextension in `ls $BOOSTLIBDIR/libboost_signals*.{so,a}* 2>/dev/null | sed 's,.*/,,' | sed -e 's;^lib\(boost_signals.*\)\.so.*$;\1;' -e 's;^lib\(boost_signals.*\)\.a*$;\1;'` ; do
+                for libextension in `ls $BOOSTLIBDIR/libboost_signals*.so* $BOOSTLIBDIR/libboost_signals*.a* 2>/dev/null | sed 's,.*/,,' | sed -e 's;^lib\(boost_signals.*\)\.so.*$;\1;' -e 's;^lib\(boost_signals.*\)\.a*$;\1;'` ; do
                      ax_lib=${libextension}
 				    AC_CHECK_LIB($ax_lib, exit,
                                  [BOOST_SIGNALS_LIB="-l$ax_lib"; AC_SUBST(BOOST_SIGNALS_LIB) link_signals="yes"; break],
diff -Naur autoconf-archive-2010.07.06.orig//m4/ax_boost_system.m4 autoconf-archive-2010.07.06//m4/ax_boost_system.m4
--- autoconf-archive-2010.07.06.orig//m4/ax_boost_system.m4	2010-07-06 07:00:00.000000000 +0900
+++ autoconf-archive-2010.07.06//m4/ax_boost_system.m4	2010-07-16 13:28:49.000000000 +0900
@@ -83,7 +83,7 @@
 
 			LDFLAGS_SAVE=$LDFLAGS
             if test "x$ax_boost_user_system_lib" = "x"; then
-                for libextension in `ls $BOOSTLIBDIR/libboost_system*.{so,a}* 2>/dev/null | sed 's,.*/,,' | sed -e 's;^lib\(boost_system.*\)\.so.*$;\1;' -e 's;^lib\(boost_system.*\)\.a*$;\1;'` ; do
+                for libextension in `ls $BOOSTLIBDIR/libboost_system*.so* $BOOSTLIBDIR/libboost_system*.a* 2>/dev/null | sed 's,.*/,,' | sed -e 's;^lib\(boost_system.*\)\.so.*$;\1;' -e 's;^lib\(boost_system.*\)\.a*$;\1;'` ; do
                      ax_lib=${libextension}
 				    AC_CHECK_LIB($ax_lib, exit,
                                  [BOOST_SYSTEM_LIB="-l$ax_lib"; AC_SUBST(BOOST_SYSTEM_LIB) link_system="yes"; break],
diff -Naur autoconf-archive-2010.07.06.orig//m4/ax_boost_test_exec_monitor.m4 autoconf-archive-2010.07.06//m4/ax_boost_test_exec_monitor.m4
--- autoconf-archive-2010.07.06.orig//m4/ax_boost_test_exec_monitor.m4	2010-07-06 07:00:00.000000000 +0900
+++ autoconf-archive-2010.07.06//m4/ax_boost_test_exec_monitor.m4	2010-07-16 13:29:38.000000000 +0900
@@ -77,7 +77,7 @@
             if test "x$ax_boost_user_test_exec_monitor_lib" = "x"; then
          		saved_ldflags="${LDFLAGS}"
 
-                for monitor_library in `ls $BOOSTLIBDIR/libboost_test_exec_monitor*.{so,a}* 2>/dev/null` ; do
+                for monitor_library in `ls $BOOSTLIBDIR/libboost_test_exec_monitor*.so* $BOOSTLIBDIR/libboost_test_exec_monitor*.a* 2>/dev/null` ; do
                     if test -r $monitor_library ; then
                        libextension=`echo $monitor_library | sed 's,.*/,,' | sed -e 's;^lib\(boost_test_exec_monitor.*\)\.so.*$;\1;' -e 's;^lib\(boost_test_exec_monitor.*\)\.a*$;\1;'`
                        ax_lib=${libextension}
@@ -108,7 +108,7 @@
                    if test "x$link_test_exec_monitor" = "xyes"; then
                       break;
                    fi
-                   for monitor_library in `ls $BOOSTLIBDIR/lib${ax_lib}.{so,a}* 2>/dev/null` ; do
+                   for monitor_library in `ls $BOOSTLIBDIR/lib${ax_lib}.so* $BOOSTLIBDIR/lib${ax_lib}.a* 2>/dev/null` ; do
                    if test -r $monitor_library ; then
                        libextension=`echo $monitor_library | sed 's,.*/,,' | sed -e 's;^lib\(boost_test_exec_monitor.*\)\.so.*$;\1;' -e 's;^lib\(boost_test_exec_monitor.*\)\.a*$;\1;'`
                        ax_lib=${libextension}
diff -Naur autoconf-archive-2010.07.06.orig//m4/ax_boost_unit_test_framework.m4 autoconf-archive-2010.07.06//m4/ax_boost_unit_test_framework.m4
--- autoconf-archive-2010.07.06.orig//m4/ax_boost_unit_test_framework.m4	2010-07-06 07:00:00.000000000 +0900
+++ autoconf-archive-2010.07.06//m4/ax_boost_unit_test_framework.m4	2010-07-16 13:32:07.000000000 +0900
@@ -76,7 +76,7 @@
 
             if test "x$ax_boost_user_unit_test_framework_lib" = "x"; then
          		saved_ldflags="${LDFLAGS}"
-                for monitor_library in `ls $BOOSTLIBDIR/libboost_unit_test_framework*.{so,a}* 2>/dev/null` ; do
+                for monitor_library in `ls $BOOSTLIBDIR/libboost_unit_test_framework*.so* $BOOSTLIBDIR/libboost_unit_test_framework*.a* 2>/dev/null` ; do
                     if test -r $monitor_library ; then
                        libextension=`echo $monitor_library | sed 's,.*/,,' | sed -e 's;^lib\(boost_unit_test_framework.*\)\.so.*$;\1;' -e 's;^lib\(boost_unit_test_framework.*\)\.a*$;\1;'`
                        ax_lib=${libextension}
@@ -106,7 +106,7 @@
                    if test "x$link_unit_test_framework" = "xyes"; then
                       break;
                    fi
-                   for unittest_library in `ls $BOOSTLIBDIR/lib${ax_lib}.{so,a}* 2>/dev/null` ; do
+                   for unittest_library in `ls $BOOSTLIBDIR/lib${ax_lib}.so* $BOOSTLIBDIR/lib${ax_lib}.a* 2>/dev/null` ; do
                    if test -r $unittest_library ; then
                        libextension=`echo $unittest_library | sed 's,.*/,,' | sed -e 's;^lib\(boost_unit_test_framework.*\)\.so.*$;\1;' -e 's;^lib\(boost_unit_test_framework.*\)\.a*$;\1;'`
                        ax_lib=${libextension}
diff -Naur autoconf-archive-2010.07.06.orig//m4/ax_boost_wave.m4 autoconf-archive-2010.07.06//m4/ax_boost_wave.m4
--- autoconf-archive-2010.07.06.orig//m4/ax_boost_wave.m4	2010-07-06 07:00:00.000000000 +0900
+++ autoconf-archive-2010.07.06//m4/ax_boost_wave.m4	2010-07-16 13:31:10.000000000 +0900
@@ -81,7 +81,7 @@
 			AC_DEFINE(HAVE_BOOST_WAVE,,[define if the Boost::Wave library is available])
             BOOSTLIBDIR=`echo $BOOST_LDFLAGS | sed -e 's/@<:@^\/@:>@*//'`
             if test "x$ax_boost_user_wave_lib" = "x"; then
-                for libextension in `ls $BOOSTLIBDIR/libboost_wave*.{so,dylib,a}* 2>/dev/null | sed 's,.*/,,' | sed -e 's;^lib\(boost_wave.*\)\.so.*$;\1;' -e 's;^lib\(boost_wave.*\)\.a*$;\1;' -e 's;^lib\(boost_wave.*\)\.dylib$;\1;'` ; do
+                for libextension in `ls $BOOSTLIBDIR/libboost_wave*.so* $BOOSTLIBDIR/libboost_wave*.a* $BOOSTLIBDIR/libboost_wave*.dylib* 2>/dev/null | sed 's,.*/,,' | sed -e 's;^lib\(boost_wave.*\)\.so.*$;\1;' -e 's;^lib\(boost_wave.*\)\.a*$;\1;' -e 's;^lib\(boost_wave.*\)\.dylib$;\1;'` ; do
                      ax_lib=${libextension}
 				    AC_CHECK_LIB($ax_lib, exit,
                                  [BOOST_WAVE_LIB="-l$ax_lib"; AC_SUBST(BOOST_WAVE_LIB) link_wave="yes"; break],
diff -Naur autoconf-archive-2010.07.06.orig//m4/ax_boost_wserialization.m4 autoconf-archive-2010.07.06//m4/ax_boost_wserialization.m4
--- autoconf-archive-2010.07.06.orig//m4/ax_boost_wserialization.m4	2010-07-06 07:00:00.000000000 +0900
+++ autoconf-archive-2010.07.06//m4/ax_boost_wserialization.m4	2010-07-16 13:31:33.000000000 +0900
@@ -79,7 +79,7 @@
 			AC_DEFINE(HAVE_BOOST_WSERIALIZATION,,[define if the Boost::WSerialization library is available])
             BOOSTLIBDIR=`echo $BOOST_LDFLAGS | sed -e 's/@<:@^\/@:>@*//'`
             if test "x$ax_boost_user_wserialization_lib" = "x"; then
-                for libextension in `ls $BOOSTLIBDIR/libboost_wserialization*.{so,a}* 2>/dev/null | sed 's,.*/,,' | sed -e 's;^lib\(boost_wserialization.*\)\.so.*$;\1;' -e 's;^lib\(boost_wserialization.*\)\.a*$;\1;'` ; do
+                for libextension in `ls $BOOSTLIBDIR/libboost_wserialization*.so* $BOOSTLIBDIR/libboost_wserialization*.a* 2>/dev/null | sed 's,.*/,,' | sed -e 's;^lib\(boost_wserialization.*\)\.so.*$;\1;' -e 's;^lib\(boost_wserialization.*\)\.a*$;\1;'` ; do
                      ax_lib=${libextension}
 				    AC_CHECK_LIB($ax_lib, exit,
                                  [BOOST_WSERIALIZATION_LIB="-l$ax_lib"; AC_SUBST(BOOST_WSERIALIZATION_LIB) link_wserialization="yes"; break],
